/*
 * nav.h - data structures for records from nav data file
 *
 * Adapted from "readme.nav" file obtained from NFDC
 *
 * Copyright (C) 1998, John C. Peterson <mailto:jaypee@netcom.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License,
 * version 2. A copy is included in this distribution in the file
 * named "LICENSE".
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License, version 2, for more details.
 *
 * $Id: nav.h,v 1.1 1998/04/27 06:09:03 jcp Exp $
 *
 */

typedef struct {

char *facility_id_wo_spec_chars;
char *facility_id_w_spec_chars;
char *facility_type;
char *info_date;
char *navaid_name;
char *city;
char *state;
char *region;
char *country;
char *common_system_usage;
char *navaid_public_use;
char *class;
char *hours_of_operation;
char *artcc_id_for_navaid;
char *latitude;
char *latitude_sec;
char *longitude;
char *longitude_sec;
char *tacan_latitude;
char *tacan_latitude_sec;
char *tacan_longitude;
char *tacan_longitude_sec;
char *elevation_feet;
char *radio_callname;
char *tacan_channel;
char *frequency;
char *fan_marker_transmitted_id;
char *fan_marker_bearing_of_major_axis_degrees;
char *protected_frequency_altitude;
char *lo_alt_facility_used_in_hi_structure;
char *navaid_z_marker_available;
char *weather_broadcast_hours;
char *weather_broadcast_phone_number;
char *controlling_fss_id;
char *controlling_fss_name;
char *controlling_fss_hours_of_operation;
char *notam_accountability_code_id;
char *quadrant_id_and_range_leg_bearing;	/* LFR only */

} nav_t;
